bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#14974: 24.3.50; adaptive-wrap 0.3 calls potentially void function ea


From: Stephen Berman
Subject: bug#14974: 24.3.50; adaptive-wrap 0.3 calls potentially void function easy-menu-add-item
Date: Mon, 29 Jul 2013 13:59:21 +0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)

On Sun, 28 Jul 2013 15:32:12 +0200 Sebastian Wiesner <address@hidden> wrote:

> adaptive-wrap 0.3 adds an autoload for a call to "(easy-menu-add-item
> …)".  However, "easy-menu-add-item" itself is not autoloaded, and
> "adaptive-wrap" does not "(require 'easymenu)" before calling
> "easy-menu-add-item" in an autoload.
>
> Hence, *activating* (not even loading!) "adaptive-wrap" fails unless
> "easymenu" incidentally happens to be loaded before.
>
> Obviously this breaks all sorts of things, most notably package
> installation in "emacs -Q --batch".

Thanks for the report; fixed.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]